New libpacks for Windows with Qt5.15, OCC7.5

Having trouble installing or compiling FreeCAD? Get help here.
adrianinsaval
Veteran
Posts: 3154
Joined: Thu Apr 05, 2018 5:15 pm

Re: New libpacks for Windows with Qt5.15, OCC7.5

Post by adrianinsaval »

Roy_043 wrote: Tue Feb 16, 2021 2:51 pm The only thing I notice is that with the mentioned theme you have to click on the actual text of a button. Clicking on the area around it will highlight the button, but then nothing happens.
Any clues on this? This bug is present in the stable release installer and is very annoying for anyone using a stylesheet, it's not limited to behave-dark.
Should I make a separate thread to discuss this bug and maybe add it to the bugtracker?
User avatar
uwestoehr
Veteran
Posts: 4281
Joined: Sun Jan 27, 2019 3:21 am
Location: Germany

Re: New libpacks for Windows with Qt5.15, OCC7.5

Post by uwestoehr »

adrianinsaval wrote: Tue Mar 30, 2021 9:43 pm Any clues on this?
Not yet or do you know if it is definitely a bug in Qt? If yes, then the only thing we can try is to upgrade from Qt 5.15.1 to 5.15.2.
User avatar
johnwang
Veteran
Posts: 1098
Joined: Sun Jan 27, 2019 12:41 am

Re: New libpacks for Windows with Qt5.15, OCC7.5

Post by johnwang »

What's the setting to build QT? X64?Release?

I build VTK8.2 with Module_vtkGUISupportQtOpenGl, Module_vtkGUISupportQt ticked and copied into this libs.

But when build my program, got linking error saying can't find QVTKOpenGLNativeWidget.

One suggestion from the net is to make sure use the same setting of my VTK with the QT in FreeCADLibs. I was using X64,Debug.
hfc series CAE workbenches for FreeCAD (hfcNastran95, hfcMystran, hfcFrame3DD, hfcSU2 and more)
tran10
Posts: 13
Joined: Tue Feb 02, 2021 1:06 pm

Re: New libpacks for Windows with Qt5.15, OCC7.5

Post by tran10 »

Hello,

Thanks you so much for this release.
I want to implement FreeCAD into Unity. Unfortunately, Unity support just python 3.7.
I want to find a release of FreeCAD work with python 3.7. Do you have some advise?
I already compile FreeCAD with FreeCADLibs 12.1.6, but this version work with python 3.6 :(

Thank you so much for your response.
Tran10
User avatar
uwestoehr
Veteran
Posts: 4281
Joined: Sun Jan 27, 2019 3:21 am
Location: Germany

Re: New libpacks for Windows with Qt5.15, OCC7.5

Post by uwestoehr »

tran10 wrote: Thu Apr 01, 2021 12:34 pm I want to find a release of FreeCAD work with python 3.7. Do you have some advise?
Is Python 3.8 also OK? If so, you can just take our releases for FreeCAD 0.19.1:
https://github.com/FreeCAD/FreeCAD/rele ... ller-1.exe

To compile FreeCAD, just follow these instructions:
https://wiki.freecadweb.org/Compile_on_Windows
tran10
Posts: 13
Joined: Tue Feb 02, 2021 1:06 pm

Re: New libpacks for Windows with Qt5.15, OCC7.5

Post by tran10 »

uwestoehr wrote: Thu Apr 01, 2021 2:39 pm
tran10 wrote: Thu Apr 01, 2021 12:34 pm I want to find a release of FreeCAD work with python 3.7. Do you have some advise?
Is Python 3.8 also OK? If so, you can just take our releases for FreeCAD 0.19.1:
https://github.com/FreeCAD/FreeCAD/rele ... ller-1.exe

To compile FreeCAD, just follow these instructions:
https://wiki.freecadweb.org/Compile_on_Windows
Thank you so much for your response.
Unity just support for python 3.7, so the python38.dll will conflict with the python37.dll. That is the reason why I want to find FreeCAD work with python 3.7
User avatar
uwestoehr
Veteran
Posts: 4281
Joined: Sun Jan 27, 2019 3:21 am
Location: Germany

Re: New libpacks for Windows with Qt5.15, OCC7.5

Post by uwestoehr »

tran10 wrote: Thu Apr 01, 2021 2:46 pm Unity just support for python 3.7, so the python38.dll will conflict with the python37.dll. That is the reason why I want to find FreeCAD work with python 3.7
I don't know a LibPack with Python 3.7. But why stick to 3.7 when 3.8 works for Unity?:
https://forum.unity.com/threads/need-he ... st-6646216
tran10
Posts: 13
Joined: Tue Feb 02, 2021 1:06 pm

Re: New libpacks for Windows with Qt5.15, OCC7.5

Post by tran10 »

uwestoehr wrote: Thu Apr 01, 2021 2:51 pm
tran10 wrote: Thu Apr 01, 2021 2:46 pm Unity just support for python 3.7, so the python38.dll will conflict with the python37.dll. That is the reason why I want to find FreeCAD work with python 3.7
I don't know a LibPack with Python 3.7. But why stick to 3.7 when 3.8 works for Unity?:
https://forum.unity.com/threads/need-he ... st-6646216
Because ML-Agents is toolkit for training game agents with reinforcement learning. In my case I can't use ML-Agent, I want to use python's library (FreeCAD's library) to create objects and use unity to display and manipulate in runtime mode. Until now Unity just support for python 3.7: https://forum.unity.com/threads/python- ... st-6990848
User avatar
uwestoehr
Veteran
Posts: 4281
Joined: Sun Jan 27, 2019 3:21 am
Location: Germany

Re: New libpacks for Windows with Qt5.15, OCC7.5

Post by uwestoehr »

tran10 wrote: Thu Apr 01, 2021 2:58 pm Until now Unity just support for python 3.7:
Then
- either install FreeCAD and downgrade it manually to python 3.7. This should be an easy task.
- take the latest Libpack and replace there the python 3.8 by 3.7. This should be an easy task as well.
- take Python unity for Unity and upgrade it to 3.8. Maybe it works just out of the box since the step 3.7 -> 3.8 is small.
tran10
Posts: 13
Joined: Tue Feb 02, 2021 1:06 pm

Re: New libpacks for Windows with Qt5.15, OCC7.5

Post by tran10 »

uwestoehr wrote: Thu Apr 01, 2021 4:57 pm
tran10 wrote: Thu Apr 01, 2021 2:58 pm Until now Unity just support for python 3.7:
Then
- either install FreeCAD and downgrade it manually to python 3.7. This should be an easy task.
- take the latest Libpack and replace there the python 3.8 by 3.7. This should be an easy task as well.
- take Python unity for Unity and upgrade it to 3.8. Maybe it works just out of the box since the step 3.7 -> 3.8 is small.
Thanks you so much for your response, I will try this :D
Post Reply